xine-lib: xine-lib-1.2.13/src/video_out/mem_frame.h File Reference

xine-lib 1.2.13-20230125hg15249

Data Structures | Typedefs | Functions
mem_frame.h File Reference
`#include <xine/xineutils.h>`

Go to the source code of this file.

## Data Structures
struct | mem_frame_t

## Typedefs
typedef struct mem_frame_t | mem_frame_t

## Functions
static void | _mem_frame_proc_slice (vo_frame_t *vo_img, uint8_t **src)
static void | _mem_frame_field (vo_frame_t *vo_img, int which_field)
static void | _mem_frame_free_framedata (vo_frame_t *vo_img)
static void | _mem_frame_dispose (vo_frame_t *vo_img)
static void | _mem_frame_init (mem_frame_t *frame, vo_driver_t *driver)
static vo_frame_t * | _mem_frame_alloc_frame (vo_driver_t *this_gen, size_t frame_size)
static vo_frame_t * | mem_frame_alloc_frame (vo_driver_t *this_gen)
static void * | _memset32 (void *mem, uint32_t val, size_t n)
static void | mem_frame_update_frame_format (vo_driver_t *this_gen, vo_frame_t *frame_gen, uint32_t width, uint32_t height, double ratio, int format, int flags)

## Typedef Documentation

## ◆ mem_frame_t

typedef struct mem_frame_t mem_frame_t

## Function Documentation

## ◆ _mem_frame_alloc_frame()

static vo_frame_t * _mem_frame_alloc_frame | ( | vo_driver_t * | this_gen,
|  | size_t | frame_size )
| static

References _mem_frame_init(), NULL, and mem_frame_t::vo_frame.

Referenced by _x_va_frame_alloc_frame(), and mem_frame_alloc_frame().

## ◆ _mem_frame_dispose()

static void _mem_frame_dispose | ( | vo_frame_t * | vo_img | ) |
| static

References _mem_frame_free_framedata(), and vo_frame_s::mutex.

Referenced by _mem_frame_init().

## ◆ _mem_frame_field()

static void _mem_frame_field | ( | vo_frame_t * | vo_img,
|  | int | which_field )
| static

Referenced by _mem_frame_init().

## ◆ _mem_frame_free_framedata()

static void _mem_frame_free_framedata | ( | vo_frame_t * | vo_img | ) |
| static

References vo_frame_s::base, NULL, vo_frame_s::pitches, and xine_freep_aligned.

Referenced by _mem_frame_dispose(), and mem_frame_update_frame_format().

## ◆ _mem_frame_init()

static void _mem_frame_init | ( | mem_frame_t * | frame,
|  | vo_driver_t * | driver )
| static

References _mem_frame_dispose(), _mem_frame_field(), _mem_frame_proc_slice(), vo_frame_s::base, vo_frame_s::dispose, vo_frame_s::driver, vo_frame_s::field, mem_frame_t::flags, mem_frame_t::format, mem_frame_t::height, vo_frame_s::mutex, NULL, vo_frame_s::proc_frame, vo_frame_s::proc_slice, mem_frame_t::ratio, mem_frame_t::vo_frame, and mem_frame_t::width.

Referenced by _mem_frame_alloc_frame().

## ◆ _mem_frame_proc_slice()

static void _mem_frame_proc_slice | ( | vo_frame_t * | vo_img,
|  | uint8_t ** | src )
| static

References vo_frame_s::proc_called.

Referenced by _mem_frame_init().

## ◆ _memset32()

static void * _memset32 | ( | void * | mem,
|  | uint32_t | val,
|  | size_t | n )
| inlinestatic

Referenced by mem_frame_update_frame_format().

## ◆ mem_frame_alloc_frame()

static vo_frame_t * mem_frame_alloc_frame | ( | vo_driver_t * | this_gen | ) |
| inlinestatic

References _mem_frame_alloc_frame().

Referenced by opengl2_alloc_frame(), and vo_none_open_plugin().

## ◆ mem_frame_update_frame_format()

static void mem_frame_update_frame_format | ( | vo_driver_t * | this_gen,
|  | vo_frame_t * | frame_gen,
|  | uint32_t | width,
|  | uint32_t | height,
|  | double | ratio,
|  | int | format,
|  | int | flags )
| inlinestatic

References _mem_frame_free_framedata(), _memset32(), vo_frame_s::base, mem_frame_t::flags, mem_frame_t::format, height, mem_frame_t::height, vo_frame_s::pitches, mem_frame_t::ratio, mem_frame_t::vo_frame, VO_GET_FLAGS_DEPTH, mem_frame_t::width, vo_frame_s::width, width, xine_container_of, XINE_IMGFMT_NV12, XINE_IMGFMT_YUY2, XINE_IMGFMT_YV12, XINE_IMGFMT_YV12_DEEP, and xine_malloc_aligned().

Referenced by _x_va_frame_update_frame_format(), opengl2_open_plugin(), and vo_none_open_plugin().